> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wiza.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Locations

> Search locations and regional groups accepted by the Prospect API location and company_location filters.



## OpenAPI

````yaml /swagger/v1/openapi.yaml get /api/meta/location_autocomplete
openapi: 3.0.1
info:
  title: Wiza API Documentation
  version: v1
servers:
  - url: https://wiza.co
    variables:
      defaultHost:
        default: wiza.co
security: []
paths:
  /api/meta/location_autocomplete:
    get:
      tags:
        - Prospects
      summary: Search Locations
      description: >-
        Search locations and regional groups accepted by the Prospect API
        location and company_location filters.
      parameters:
        - name: query
          in: query
          required: true
          description: Location prefix. Must contain at least 3 characters.
          schema:
            type: string
            minLength: 3
            example: tor
      responses:
        '200':
          description: successful
          content:
            application/json:
              schema:
                type: object
                required:
                  - status
                  - data
                properties:
                  status:
                    type: integer
                    example: 200
                  data:
                    type: array
                    items:
                      type: object
                      required:
                        - key
                        - bucket
                        - count
                      properties:
                        key:
                          type: string
                          example: Toronto, Ontario, Canada
                        bucket:
                          type: string
                          enum:
                            - city
                            - state
                            - country
                            - continent
                            - group
                          description: Location boundary to use as the filter b value.
                          example: city
                        count:
                          type: integer
                          example: 1234
        '400':
          description: Invalid query
          content:
            application/json:
              schema:
                type: object
                required:
                  - status
                properties:
                  status:
                    type: object
                    required:
                      - code
                      - message
                    properties:
                      code:
                        type: integer
                        example: 400
                      message:
                        type: string
                        enum:
                          - Query is required
                          - Query must be a string
                          - Query must be at least 3 characters
        '401':
          description: Unauthorized
      security:
        - bearer_auth: []
components:
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      description: >-
        Enter your bearer token (your API key) in the **Authorization** header
        in the format `Bearer {token}`

````